body{
font-family:Arial;
text-align:center;
}

#galeria{
display:grid;
grid-template-columns:repeat(auto-fill,200px);
gap:20px;
justify-content:center;
}

img{
width:200px;
border-radius:10px;
}

img {
  max-width: 100%;
  height: auto;
}


.visor{
display:none;
position:fixed;
top:0;
left:0;
width:100%;
height:100%;
background:rgba(0,0,0,0.9);
justify-content:center;
align-items:center;
z-index:1000;
}

#imagenGrande{
max-width:95%;
max-height:95%;
width:auto;
height:auto;
object-fit:contain;
}

#cerrar{
position:absolute;
top:20px;
right:40px;
font-size:40px;
color:white;
cursor:pointer;
}

@media (max-width: 768px) {
  .columna {
    width: 100%; /* Una sola columna en móviles */
  }
}
